=== modified file 'bzrlib/bzrdir.py'
--- bzrlib/bzrdir.py	2011-03-12 15:43:16 +0000
+++ bzrlib/bzrdir.py	2011-03-22 12:10:34 +0000
@@ -707,7 +707,7 @@
         except errors.TooManyRedirections:
             raise errors.NotBranchError(base)
 
-        format.check_status(_unsupported)
+        format.check_support_status(_unsupported)
         return format.open(transport, _found=True)
 
     @staticmethod
@@ -1147,7 +1147,7 @@
                     ignore_fallbacks=False):
         """See BzrDir.open_branch."""
         format = self.find_branch_format(name=name)
-        format.check_status(unsupported)
+        format.check_support_status(unsupported)
         return format.open(self, name=name,
             _found=True, ignore_fallbacks=ignore_fallbacks)
 
@@ -1155,7 +1155,7 @@
         """See BzrDir.open_repository."""
         from bzrlib.repository import RepositoryFormat
         format = RepositoryFormat.find_format(self)
-        format.check_status(unsupported)
+        format.check_support_status(unsupported)
         return format.open(self, _found=True)
 
     def open_workingtree(self, unsupported=False,
@@ -1163,7 +1163,7 @@
         """See BzrDir.open_workingtree."""
         from bzrlib.workingtree import WorkingTreeFormat
         format = WorkingTreeFormat.find_format(self)
-        format.check_status(unsupported, recommend_upgrade,
+        format.check_support_status(unsupported, recommend_upgrade,
             basedir=self.root_transport.base)
         return format.open(self, _found=True)
 

=== modified file 'bzrlib/controldir.py'
--- bzrlib/controldir.py	2011-03-12 16:55:08 +0000
+++ bzrlib/controldir.py	2011-03-22 12:10:34 +0000
@@ -615,7 +615,7 @@
         """
         return True
 
-    def check_status(self, allow_unsupported, recommend_upgrade=True,
+    def check_support_status(self, allow_unsupported, recommend_upgrade=True,
         basedir=None):
         """Give an error or warning on old formats.
 
@@ -796,7 +796,7 @@
         """
         return True
 
-    def check_status(self, allow_unsupported, recommend_upgrade=True,
+    def check_support_status(self, allow_unsupported, recommend_upgrade=True,
         basedir=None):
         """Give an error or warning on old formats.
 

=== modified file 'bzrlib/tests/per_controldir/test_format.py'
--- bzrlib/tests/per_controldir/test_format.py	2011-03-12 17:07:29 +0000
+++ bzrlib/tests/per_controldir/test_format.py	2011-03-22 12:10:34 +0000
@@ -35,10 +35,10 @@
     def test_upgrade_recommended(self):
         self.assertIsInstance(self.bzrdir_format.upgrade_recommended, bool)
 
-    def test_check_status(self):
+    def test_check_support_status(self):
         if not self.bzrdir_format.is_supported():
             self.assertRaises(errors.UnsupportedFormatError,
-                self.bzrdir_format.check_status, False)
+                self.bzrdir_format.check_support_status, False)
         else:
-            self.bzrdir_format.check_status(True)
-            self.bzrdir_format.check_status(False)
+            self.bzrdir_format.check_support_status(True)
+            self.bzrdir_format.check_support_status(False)

=== modified file 'bzrlib/tests/test_controldir.py'
--- bzrlib/tests/test_controldir.py	2011-03-12 17:06:27 +0000
+++ bzrlib/tests/test_controldir.py	2011-03-22 12:10:34 +0000
@@ -200,34 +200,36 @@
 class DefaultControlComponentFormatTests(tests.TestCase):
     """Tests for default ControlComponentFormat implementation."""
 
-    def test_check_status_unsupported(self):
+    def test_check_support_status_unsupported(self):
         self.assertRaises(errors.UnsupportedFormatError,
-            UnsupportedControlComponentFormat().check_status,
+            UnsupportedControlComponentFormat().check_support_status,
             allow_unsupported=False)
-        UnsupportedControlComponentFormat().check_status(
+        UnsupportedControlComponentFormat().check_support_status(
             allow_unsupported=True)
 
-    def test_check_status_supported(self):
-        controldir.ControlComponentFormat().check_status(
+    def test_check_support_status_supported(self):
+        controldir.ControlComponentFormat().check_support_status(
             allow_unsupported=False)
-        controldir.ControlComponentFormat().check_status(
+        controldir.ControlComponentFormat().check_support_status(
             allow_unsupported=True)
 
     def test_recommend_upgrade_current_format(self):
         stderr = tests.StringIOWrapper()
         ui.ui_factory = tests.TestUIFactory(stderr=stderr)
         format = controldir.ControlComponentFormat()
-        format.check_status(allow_unsupported=False, recommend_upgrade=True)
+        format.check_support_status(allow_unsupported=False,
+            recommend_upgrade=True)
         self.assertEquals("", stderr.getvalue())
 
     def test_recommend_upgrade_old_format(self):
         stderr = tests.StringIOWrapper()
         ui.ui_factory = tests.TestUIFactory(stderr=stderr)
         format = OldControlComponentFormat()
-        format.check_status(allow_unsupported=False, recommend_upgrade=False)
+        format.check_support_status(allow_unsupported=False,
+            recommend_upgrade=False)
         self.assertEquals("", stderr.getvalue())
-        format.check_status(allow_unsupported=False, recommend_upgrade=True,
-            basedir='apath')
+        format.check_support_status(allow_unsupported=False,
+            recommend_upgrade=True, basedir='apath')
         self.assertEquals(
             'An old format that is slow is deprecated and a better format '
             'is available.\nIt is recommended that you upgrade by running '

